#!/bin/bash

/usr/bin/xsetroot -solid darkgrey
if [ -f /usr/bin/feh ]; then
   current_resolution=$(xrandr 2>/dev/null | grep -Eo 'primary [1-9][0-9]{1,3}x[1-9][0-9]{1,3}' | grep -Eo '[1-9][0-9]{1,3}x[1-9][0-9]{1,3}')
   if [ ! -n "$current_resolution" ]; then
    #if no primary then get size of the first monitor
    current_resolution=$(xrandr 2>/dev/null | grep -Eo 'connected [1-9][0-9]{1,3}x[1-9][0-9]{1,3}' | grep -Eo '[1-9][0-9]{1,3}x[1-9][0-9]{1,3}')
   fi
   x_resolution=$(echo "$current_resolution" | grep -Eo '^[1-9][0-9]{1,3}')
   y_resolution=$(echo "$current_resolution" | grep -Eo  '[1-9][0-9]{1,3}$')
   WALLP=/var/lib/fly-dm/wallpapers/${x_resolution}x${y_resolution}/fly-default.png

   if [ ! -f $WALLP ]; then
    RESOL=`/usr/bin/xdpyinfo | grep dimensions | tr -s ' ' | cut -d' ' -f3`
    WALLP=/var/lib/fly-dm/wallpapers/$RESOL/fly-default.png
   fi

   if [ -f $WALLP ]; then
    HOME=/tmp /usr/bin/feh -N --bg-scale $WALLP
   fi
fi
